C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE DELIN(CTIME)
C*****CORRECTS RECONSTRUCTED CURVE FOR ACQUISITION TIMES
C*****NORMALISED TO GROUP OF LAST POINT OF FIT
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB
	COMMON/FITBND/UP,LW
	COMMON/SET2X/FG,CG(13)
	DIMENSION CX(13)
C*****
	IF(SAVDES(118).EQ.1)RETURN
	DO 5 I=FG,SAVDES(118)
	IF(CTIME.LE.CG(I))GOTO 8
5	CONTINUE
	I=SAVDES(118)
8	WRITE(7,100)I
	JM=122+(I-1)*5
	CXM=FLOAT(SAVDES(JM))/FLOAT(SAVDES(JM+1))
C*****CALCULATE SCALE FACTOR FOR EACH GROUP
	DO 10 I=1,SAVDES(118)
	J=122+(I-1)*5
	KK=J+1
	CX(I)=CXM*FLOAT(SAVDES(KK))/FLOAT(SAVDES(J))
10	CONTINUE
C******
	KK=1
C*****J TAKES GROUP NUMBER
	DO 30 J=1,SAVDES(118)
C*****KI TAKES FRAME WITHIN GROUP
	DO 30 KI=1,SAVDES(119+(J-1)*5)
	CURVE1(KK)=CURVE1(KK)*CX(J)
30	KK=KK+1
	RETURN
100	FORMAT(1X,'COUNTS NORMALISED TO GROUP ',I3,' TIME')
	END
